/*
    2000 Microsoft Corporation. All rights reserved.
*/

var vidPane = 2;
var visPane = 3;

var vidIsRunning = false;

function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    visEffects.currentEffectType = mediacenter.effectType;
    visEffects.currentPreset = mediacenter.effectPreset;

    OnOpenStateChange();
    OnModeChange();

    vidIsRunning = (player.OpenState==osMediaOpen &&
        player.currentMedia.ImageSourceWidth>0);

    vidIsRunning ? StartVideo() : EndVideo();
}

function OnClose()
{
    mediacenter.effectType = visEffects.currentEffectType;
    mediacenter.effectPreset = visEffects.currentPreset;
}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        UpdateMetadata();
    }
}

function OnPlayStateChange()
{
    switch(player.PlayState)
    {
    case psStopped:
        visEffects.visible = false;
        break;
    case psPlaying:
        UpdateMetadata();
        if(!vidIsRunning)
        {
            visEffects.visible = true;
        }
        break;
    }
}

function OnModeChange()
{
    bgShuffle.down = player.settings.GetMode("shuffle");
}

function UpdateMetadata()
{
    metadata.value =
        player.currentmedia.getiteminfo("author");
    if(metadata.value != "")
    {
        metadata.value += " --  ";
    }
    metadata.value += player.currentmedia.name;
    metadata.scrolling = (metadata.textWidth>metadata.width-15);
}

function SetVisibility(newPane)
{
    switch(newPane)
    {
    case vidPane:
        vid.visible = true;
        visEffects.visible = false;
        bVis.upToolTip = "";
        break;

    case visPane:
        visEffects.visible = true;
        vid.visible = false;
        bVis.upToolTip = xVisTt.toolTip;
        break;
    }
}

function StartVideo()
{
    vidIsRunning = true;
    SetVisibility(vidPane);
}

function EndVideo()
{
    vidIsRunning = false;
    SetVisibility(visPane);
}

function VisClick()
{
    if(!vidIsRunning)
    {
        visEffects.next();
    }
}